/*
 *  Copyright 2020 Huawei Technologies Co., Ltd.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

html, body, #app{
  height: 100%;
}
html,body,p,h1,h2,h3,h4,h5,h6{
  margin:0;
  padding:0;
  /* font-family:'Microsoft Yahei','simsun','arial','tahoma';  */
}

html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,abbr,acronym,
address,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,small,strike,strong,b,
sup,tt,var,u,i,center,dl,dt,dd,ol,ul,li,form,label,legend,table,caption,
tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,embed,figure,figcaption,footer,header,hgroup,
menu,nav,output,ruby,section,summary,time,mark,audio,video {
    border: 0;
    vertical-align: baseline;
}

body,div,p,a,h1,h2,h3,h4,h5,ul,li,span {
    padding: 0;
    margin: 0;
    outline: 0 none;
}

article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section {
    display: block;
}

.el-dialog__title {
  color: #fff;
}

.el-icon-close:before {
  color: #fff;
}

/* .el-menu--horizontal .el-menu .el-menu-item, .el-menu--horizontal .el-menu .el-submenu__title{
  color:#fff!important;
} */

ol,ul {
    list-style: none;
}

blockquote,q {
    quotes: none;
}

blockquote:before,blockquote:after,q:before,q:after {
    content: '';
    content: none;
}

textarea {
    resize: none;
}

div,div:before,div:after,button,button:before,button:after,input,
input:before,input:after,ul,ul:before,ul:after,li,li:before,li:after,a,a:before,a:after,
span,span:before,span:after,label,label:before,label:after,textarea,textarea:before,textarea:after,fieldset,
fieldset:before,fieldset:after {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

.clearfix:after {
    content: ".";
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
}
a{
  text-decoration: none;
  color: #688ef3;
}
.markdown-body a{
  color: #688ef3 !important;
}
.lt{
  float: left;
}
.rt{
  float: right;
}
.mt20{
  margin-top:20px;
}
.flex{
  display: flex
}
.h100{
  height: 100%;
}
.curp{
  cursor: pointer;
}
.padding56{
  padding: 0 56px;
  padding-bottom: 25px;
  box-sizing: border-box;
}
.padding20{
  padding: 20px;
  box-sizing: border-box;
}

.el-dialog__header{
  background-color: #688ef3 ;
}

.el-message {
  top: calc(50%)!important;
  z-index: 99999 !important;
}

/* 导航栏组件归一化 */


/* 弹框组件归一化 */

.el-dialog__header{
  background:#fff !important;
}
.el-dialog__title {
  color: #000 !important;
}
.el-dialog__close {
  color: #000 !important;
}
.el-icon-close:before{
  color:#000 !important;
}
.el-dialog__body{
  padding:10px 20px 0;
  color:#000;
}
.dialog-footer{
  margin: 0 auto;
  padding: 0px!important;
  text-align: right;
  display: block;
}
.el-dialog__body{
  padding: 12px 20px;
}
.el-button{
  margin-right: 0px!important;
}
.el-upload__tip{
  display: inline-block;
  padding-left: 12px;
}
.el-form-item{
  margin-bottom: 10px;
}
.el-form-item__label{
  line-height: 15px;
  padding-bottom: 10px;
}
.el-form-item__content{
  line-height: 15px;
}
.el-select{
  width: 100%;
}
.el-textarea__inner{
  height: 40px;
}


/* 导航栏归一化 */

/* 搜索框、按钮组件归一化 */
  /* 搜索框input添加类名search_input */
.search_input .el-input__inner{
  height: 32px;
  line-height: 32px;
  min-width: 200px;
}
.search_input .el-input__icon{
  line-height: 32px;
}
.el-button{
  padding: 8px 24px;
}
  /* 重要按钮样式，带背景色 */
.el-button--primary{
  background-color: #688ef3;
  border-color: #688ef3;
}
.el-button--primary:hover{
  background-color: #86a5f5;
  border-color: #86a5f5;
}
  /* 文本按钮样式 */
.el-button--text{
  padding: 3px 0;
  color: #688ef3;
}
.el-button--text:hover{
  color: #86a5f5;
  border-bottom: 1px solid #688ef3;
}
.el-message-box__btns .el-button--default:hover{
  color: #86a5f5;
}
.el-message-box__btns .el-button--primary:hover{
  background-color: #86a5f5;
  border-color: #86a5f5;
  color: #fff;
}
/* 表格背景和宽高 */
.headerStyle{
  background: #e1e7f5!important;
  color: #575d6c!important;
  border-right: 2px solid #fff!important;
  padding: 0!important;
  height: 40px!important;
  line-height: 40px!important;
  font-size: 14px!important;
}
.el-table td{
  padding: 0!important;
  height: 60px!important;
  line-height: 60px!important;
}
.el-popover__reference{
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.hiddenClass{
  white-space: nowrap;
}
@media only screen and (min-width: 900px) {
  .padding56{
    padding: 0;
  }
  .headerComp .nav-tabs {
    display: flex;
    flex-direction: row-reverse !important;
    justify-content: right !important;
  }
  .box {
    display: flex ;
    flex-direction: column ;
 }
 .box .left{
   width: 100% !important;
 }
 .box.right{
   width: 100% !important;
 }
}
@media only screen and (max-width: 900px) {
  .padding56{
    padding: 0;
  }
  .headerComp .nav-tabs {
    display: flex;
    flex-direction: row-reverse !important;
    justify-content: right !important;
  }
  .box {
    display: flex ;
    flex-direction: column ;
 }
 .box .left{
   width: 100% !important;
 }
 .box.right{
   width: 100% !important;
 }
 .el-message-box {
  width: 359px;
}
.iticks-pop-button {
  right: 15px !important;
}
.app-detail .app-info {
  padding: 10px!important; 
}
.v-note-wrapper .v-note-panel .v-note-show .v-show-content, .v-note-wrapper .v-note-panel .v-note-show .v-show-content-html {
  padding: 5px 10px 10px 10px;
}
}
@media only screen and (max-width: 760px) {
  .headerComp .nav-tabs {
    display: flex;
    flex-direction: row-reverse !important;
    justify-content: right !important;
  }
  .padding56{
    padding: 0;
  }
  #iframe_atp .test.task-search {
    padding: 0 !important;
  }
  .padding56 .test.task-search {
    padding: 0 !important;
  }
  .padding56 .test .task-search .el-form {
    padding: 2% !important;
  }
  .padding56 .test .task-search .el-col-offset-6 {
    margin: 0 !important;
  }
  .padding56 .test .task-search .el-col-6 {
    width: 50% !important;
  }
  .padding56 .test .task-search .el-form-item__label {
    width: 90px !important;
  }
  .bread-crumb {
    padding: 0 15px !important;
  }
  .box {
    display: flex;
    flex-direction: column ;
 }
 .box .left{
   width: 100% !important;
 }
 .box.right{
   width: 100% !important;
 }
 .el-message-box {
  width: 359px;
}
.iticks-pop-button {
  right: 15px !important;
}
.app-detail .app-info {
  padding: 10px!important; 
}
.v-note-wrapper .v-note-panel .v-note-show .v-show-content, .v-note-wrapper .v-note-panel .v-note-show .v-show-content-html {
  padding: 5px 10px 10px 10px;
}
}